function D = readharte(X)
% D = readharte(X)
%    Read the Harte-format chord label file X 
%    and return its contents in D.  D(:,1) is start time in secs,
%    D(:,2) is the chord index 0..24 (24=no chord).
% 2009-10-02 Dan Ellis dpwe@ee.columbia.edu

[ts,te,ll] = textread(X,'%f %f %s');

lx = (normalize_labels(ll) - 1)';

NOCHORD=24;

if lx(end) ~= NOCHORD
  ts = [ts;te(end)];
  lx = [lx;NOCHORD];
end

D = [ts,lx];
