function write_chordlabs(t,c,fn)
% write_chordlabs(t,c,fn)
%    Write chord label file in MIREX/Harte <start> <end>
%    <asciilabel> format.  t is start times, c is 0..24 chord 
%    index, fn is the file name.
% 2009-10-02 Dan Ellis dpwe@ee.columbia.edu

keytab = {'C','C#','D','D#','E','F','F#','G','G#','A','A#','B', ...
          'C:min','C#:min','D:min','D#:min','E:min','F:min', ...
          'F#:min','G:min','G#:min','A:min','A#:min','B:min', ...
          'N'};

NOCHORD = 24;

f = fopen(fn,'w');

if length(t) == length(c)
  % add final time
  t = [t, 2*t(end) - t(end-1)];
end

if t(1) > 0
  if c(1) == NOCHORD
    t(1) = 0;
  else
    % no NOCHORD at the beginning, insert it
    t = [0,t];
    c = [NOCHORD, c];
  end
end

% Collapse repeated labels
cdiff = [1,1+find(c(1:end-1) ~= c(2:end))];
c = c(cdiff);
t = [t(cdiff),t(end)];
         

for i = 1:length(c)
  fprintf(f,'%.3f %.3f %s\n', t(i), t(i+1), keytab{c(i)+1});
end

fclose(f);
